config/routes.rb
Rails.application.routes.draw do
  resources :salary_ranges
  resources :hobbies
  resources :hobbies
  resources :jobs
  resources :personal_infos
  resources :people
  resources :people

  root'people#index'

end

app/models/personal_info.rb
class PersonalInfo < ActiveRecord::Base
  belongs_to :person
end

app/controllers/personal_infos_controller.rb
class PersonalInfosController < ApplicationController
  before_action :set_personal_info, only: [:show, :edit, :update, :destroy]

  # GET /personal_infos
  # GET /personal_infos.json
  def index
    @personal_infos = PersonalInfo.all
    
  end

  # GET /personal_infos/1
  # GET /personal_infos/1.json
  def show
  end

  # GET /personal_infos/new
  def new
    @personal_info = PersonalInfo.new
  end

  # GET /personal_infos/1/edit
  def edit
  end

  # POST /personal_infos
  # POST /personal_infos.json
  def create
    @personal_info = PersonalInfo.new(personal_info_params)

    respond_to do |format|
      if @personal_info.save
        format.html { redirect_to @personal_info, notice: 'Personal info was successfully created.' }
        format.json { render :show, status: :created, location: @personal_info }
      else
        format.html { render :new }
        format.json { render json: @personal_info.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /personal_infos/1
  # PATCH/PUT /personal_infos/1.json
  def update
    respond_to do |format|
      if @personal_info.update(personal_info_params)
        format.html { redirect_to @personal_info, notice: 'Personal info was successfully updated.' }
        format.json { render :show, status: :ok, location: @personal_info }
      else
        format.html { render :edit }
        format.json { render json: @personal_info.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /personal_infos/1
  # DELETE /personal_infos/1.json
  def destroy
    @personal_info.destroy
    respond_to do |format|
      format.html { redirect_to personal_infos_url, notice: 'Personal info was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_personal_info
      @personal_info = PersonalInfo.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def personal_info_params
      params.require(:personal_info).permit(:heigth, :weigth, :person_id)
    end
end

app/helpers/personal_infos_helper.rb
module PersonalInfosHelper
end

app/views/personal_infos/_form.html.erb
<%= form_for(@personal_info) do |f| %>
  <% if @personal_info.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@personal_info.errors.count, "error") %> prohibited this personal_info from being saved:</h2>

      <ul>
      <% @personal_info.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :heigth %><br>
    <%= f.text_field :heigth %>
  </div>
  <div class="field">
    <%= f.label :weigth %><br>
    <%= f.text_field :weigth %>
  </div>
  <div class="field">
    <%= f.label :person_id %><br>
    <%= f.text_field :person_id %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/personal_infos/edit.html.erb
<h1>Editing Personal Info</h1>

<%= render 'form' %>

<%= link_to 'Show', @personal_info %> |
<%= link_to 'Back', personal_infos_path %>

app/views/personal_infos/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Listing Personal Infos</h1>

<table>
  <thead>
    <tr>
      <th>Heigth</th>
      <th>Weigth</th>
      <th>Person</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @personal_infos.each do |personal_info| %>
      <tr>
        <td><%= personal_info.heigth %></td>
        <td><%= personal_info.weigth %></td>
        <td><%= personal_info.person.first_name %></td>
        <td><%= link_to 'Show', personal_info %></td>
        <td><%= link_to 'Edit', edit_personal_info_path(personal_info) %></td>
        <td><%= link_to 'Destroy', personal_info, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Personal info', new_personal_info_path %>

app/views/personal_infos/new.html.erb
<h1>New Personal Info</h1>

<%= render 'form' %>

<%= link_to 'Back', personal_infos_path %>

app/views/personal_infos/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Heigth:</strong>
  <%= @personal_info.heigth %>
</p>

<p>
  <strong>Weigth:</strong>
  <%= @personal_info.weigth %>
</p>

<p>
  <strong>Person:</strong>
  <%= @personal_info.person %>
</p>

<%= link_to 'Edit', edit_personal_info_path(@personal_info) %> |
<%= link_to 'Back', personal_infos_path %>